#include <bits/stdc++.h>
using namespace std;
int ucln(int a,int b)
{
    if(b==0) return a;
    else return (b,a%b);
}
int main()
{
	ifstream f1 ("dquc.inp");
	ofstream f2 ("dquc.out");
	int n;
	f1>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	int uc=a[0];
	for(int i=0;i<n;i++)
	{
		uc= ucln(uc,a[i]);
	}
    f2<<uc;
}

